Package org.apache.tomcat.jni

## Class SSLConf

- java.lang.Object
- - org.apache.tomcat.jni.SSLConf

    public final class SSLConf
    extends java.lang.Object

SSL Conf

### Constructor Summary

Constructors
`SSLConf()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `apply​(long cctx, java.lang.String name, java.lang.String value)` Apply a command to an SSL_CONF context.
`static void` `assign​(long cctx, long ctx)` Assign an SSL context to an SSL_CONF context.
`static int` `check​(long cctx, java.lang.String name, java.lang.String value)` Check a command with an SSL_CONF context.
`static int` `finish​(long cctx)` Finish commands for an SSL_CONF context.
`static void` `free​(long cctx)` Free the resources used by the context
`static long` `make​(long pool, int flags)` Create a new SSL_CONF context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLConf

    public SSLConf()

### Method Detail

#### make

    public static long make​(long pool,
                            int flags)
                     throws java.lang.Exception

Create a new SSL_CONF context.

Parameters:
  `pool` - The pool to use.
  `flags` - The SSL_CONF flags to use. It can be any combination of the following:

       SSL.SSL_CONF_FLAG_CMDLINE
       SSL.SSL_CONF_FLAG_FILE
       SSL.SSL_CONF_FLAG_CLIENT
       SSL.SSL_CONF_FLAG_SERVER
       SSL.SSL_CONF_FLAG_SHOW_ERRORS
       SSL.SSL_CONF_FLAG_CERTIFICATE

Returns:
  The Java representation of a pointer to the newly created SSL_CONF Context
Throws:
  `java.lang.Exception` - If the SSL_CONF context could not be created
See Also:
  OpenSSL SSL_CONF_CTX_new, OpenSSL SSL_CONF_CTX_set_flags

#### free

    public static void free​(long cctx)

Free the resources used by the context

Parameters:
  `cctx` - SSL_CONF context to free.
See Also:
  OpenSSL SSL_CONF_CTX_free

#### check

    public static int check​(long cctx,
                            java.lang.String name,
                            java.lang.String value)
                     throws java.lang.Exception

Check a command with an SSL_CONF context.

Parameters:
  `cctx` - SSL_CONF context to use.
  `name` - command name.
  `value` - command value.
Returns:
  The result of the check based on the `SSL_CONF_cmd_value_type` call. Unknown types will result in an exception, as well as file and directory types with invalid file or directory names.
Throws:
  `java.lang.Exception` - If the check fails.
See Also:
  OpenSSL SSL_CONF_cmd_value_type

#### assign

    public static void assign​(long cctx,
                              long ctx)

Assign an SSL context to an SSL_CONF context. All following calls to `apply(long, String, String)` will be applied to this SSL context.

Parameters:
  `cctx` - SSL_CONF context to use.
  `ctx` - SSL context to assign to the given SSL_CONF context.
See Also:
  OpenSSL SSL_CONF_CTX_set_ssl_ctx

#### apply

    public static int apply​(long cctx,
                            java.lang.String name,
                            java.lang.String value)
                     throws java.lang.Exception

Apply a command to an SSL_CONF context.

Parameters:
  `cctx` - SSL_CONF context to use.
  `name` - command name.
  `value` - command value.
Returns:
  The result of the native `SSL_CONF_cmd` call
Throws:
  `java.lang.Exception` - If the SSL_CONF context is `0`
See Also:
  OpenSSL SSL_CONF_cmd

#### finish

    public static int finish​(long cctx)

Finish commands for an SSL_CONF context.

Parameters:
  `cctx` - SSL_CONF context to use.
Returns:
  The result of the native `SSL_CONF_CTX_finish` call
See Also:
  OpenSSL SSL_CONF_CTX_finish